Skip to main content
POST
/
v1
/
pipeline
/
animated-preview
{
  "input": "https://example.com/video.mp4",
  "duration": 5,
  "format": "webp"
}
curl -X POST https://api.ringbee.dev/v1/pipeline/animated-preview \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "duration=5" \
  -F "format=webp"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/video.mp4",
  "duration": 5,
  "format": "webp"
}
curl -X POST https://api.ringbee.dev/v1/pipeline/animated-preview \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "duration=5" \
  -F "format=webp"
ParamTypeDescription
durationnumberDuration of the animated preview in seconds
formatstringOutput format (“gif” or “webp”)

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

duration
number

Duration of the animated preview in seconds

format
string

Output format ("gif" or "webp")

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"